version = 1

[[annotations]]
path = ["src/android/jar/AndroidManifest.xml",
        "src/plugins/**"]
precedence = "closest"
comment = "source and plugins"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only"

[[annotations]]
path = "tests/**"
precedence = "closest"
comment = "test"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "LicenseRef-Qt-Commercial OR GPL-3.0-only"

[[annotations]]
path = ["**.pro", "**.qrc", ".cmake.conf", "**.yaml", "**/ci_config_linux.json",
        "**.cfg", "**BLACKLIST", "**.plist.in", "**.pri", "**.plist", "**/CMakeLists.txt",
         "coin/instructions/tests_pipewire"]
precedence = "closest"
comment = "build system"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "BSD-3-Clause"

[[annotations]]
path = [".tag", "**/.gitattributes", "**.gitignore"]
comment = "version control system. Licensed as build system"
precedence = "closest"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "BSD-3-Clause"

[[annotations]]
path = ["examples/**", "**/doc/snippets/**"]
comment = "this must be after the build system table because example and snippets take precedence over build system"
precedence = "closest"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "LicenseRef-Qt-Commercial OR BSD-3-Clause"

[[annotations]]
path = ["util/macos_test_audio_config/README", "**.qdocconf", "**.qdocinc", "src/multimedia/doc/src/classic.css",
        "**/doc/src/images/**", "config_help.txt"]
comment = "documentation"
precedence = "closest"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "LicenseRef-Qt-Commercial OR GFDL-1.3-no-invariants-only"

[[annotations]]
path = ["**.toml", "licenseRule.json", "**/qt_attribution.json"]
comment = "documentation"
precedence = "override"
SPDX-FileCopyrightText = "Copyright (C) 2024 The Qt Company Ltd."
SPDX-License-Identifier = "LicenseRef-Qt-Commercial OR GFDL-1.3-no-invariants-only"
